Package: org.codehaus.groovy.tools.javac

## [Java] Class JavaAwareResolveVisitor

- org.codehaus.groovy.tools.javac.JavaAwareResolveVisitor

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ResolveVisitor` | `DEFAULT_IMPORTS`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `JavaAwareResolveVisitor (CompilationUnit cu)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `addError(String msg, ASTNode expr)`
    `` | `protected void` | `visitClassCodeContainer(Statement code)`
    `` | `void` | `visitConstructor(ConstructorNode node)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ResolveVisitor` | `ResolveVisitor, getSourceUnit, setClassNodeResolver, startResolving, transform, transformAnnotationConstantExpression, transformBinaryExpression, transformClosureExpression, transformConstructorCallExpression, transformDeclarationExpression, transformMethodCallExpression, transformPropertyExpression, transformVariableExpression, visitAnnotations, visitBlockStatement, visitCatchStatement, visitClass, visitConstructorOrMethod, visitField, visitForLoop, visitProperty`
    `class ClassCodeExpressionTransformer` | `visitField, transform, visitReturnStatement, visitProperty, visitAssertStatement, visitThrowStatement, visitSynchronizedStatement, visitExpressionStatement, visitCaseStatement, visitIfElse, visitSwitch, visitWhileLoop, visitDoWhileLoop, visitForLoop, visitAnnotations, visitMethod, visitConstructor, visitPackage, visitTryCatchFinally, visitContinueStatement, visitBreakStatement, visitBlockStatement, visitCatchStatement, visitDeclarationExpression, visitClass, visitImports, visitPropertyExpression, visitConstantExpression, visitClassExpression, visitListExpression, visitArgumentlistExpression, visitVariableExpression, visitTupleExpression, visitMethodCallExpression, visitClosureExpression, visitFieldExpression, visitBitwiseNegationExpression, visitBytecodeExpression, visitRangeExpression, visitPostfixExpression, visitArrayExpression, visitNotExpression, visitCastExpression, visitBooleanExpression, visitStaticMethodCallExpression, visitTernaryExpression, visitMapExpression, visitSpreadMapExpression, visitUnaryPlusExpression, visitSpreadExpression, visitPrefixExpression, visitUnaryMinusExpression, visitShortTernaryExpression, visitConstructorCallExpression, visitMethodPointerExpression, visitGStringExpression, visitClosureListExpression, visitAttributeExpression, visitBinaryExpression, visitMapEntryExpression, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public JavaAwareResolveVisitor(CompilationUnit cu)

  - ### Method Detail

    - #### protected void addError(String msg, ASTNode expr)

    - #### protected void visitClassCodeContainer(Statement code)

    - #### @Override public void visitConstructor(ConstructorNode node)